• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Leggi altro.

Creazione di un FORM per la compilazione delle revisioni in un cartiglio

sbronzo79

Utente Junior
Professione: disegnatore
Software: Solid EDGE ST9
Regione: Lombardia
#1
Sto cercando di creare un form che mi permetta di compilare le revisioni all'interno del cartiglio.

Premetto che alle varie componenti della revisione ho creato una proprietà personalizzata.

Come faccio adesso a dirgli attraverso VB di scrivere in quella determintata proprietà quello che io scrivo all'interno della TEXT BOX di Se
 

Leso

Utente Standard
Professione: Ufficiale tecnico
Software: Solid Edge ST9
Regione: Veneto
#2
Ma non puoi usare una macro già fatta come property remapper?
 

cacciatorino

Moderatore SolidEdge
Staff Forum
Professione: Ingegnere meccanico
Software: SolidEdge CoCreate Salome-Meca
Regione: Porto Recanati, ma con l'appennino nel cuore
#3
Scusate ma cos'e' la TEXT BOX di Solid Edge?
 

Leso

Utente Standard
Professione: Ufficiale tecnico
Software: Solid Edge ST9
Regione: Veneto
#4
Non è in SE; credo intenda fare un programma con visual basic con interfaccia grafica. Le "pagine" del programma si chiamano form. E le caselle dove scrivi si chiamano Text Box.
 
Ultima modifica:

Be_on_edge

Moderatore
Staff Forum
Professione: Progettazione
Software: Solid Edge
Regione: Emilia Romagna
#5
Devi collegarti all'oggetto property del modello, cercare il gruppo "CUSTOM" e poi la proprietà personalizzata creata.

Codice:
Set objPar = objApp.ActiveDocument
Set objProps = objPar.Properties.Item("Custom")
objProps.Item("NOME PROPRIETA PERS").value = textbox1.text
Da riadattare alle tue esigenze ovviamente.

Ciao
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#6
Sub AddFileProp(File, Name, Value, Optional Scheda = "Custom")

Dim objProps As Object
Dim objProp As Object

Set objProps = CreateObject("SolidEdge.FileProperties")
Call objProps.Open(File)
Set objProp = objProps(Scheda)
Call objProp.Add(Name, Value)
Call objProps.Save

Set objProps = Nothing
Set objProp = Nothing

End Sub

by Gianluca Vespignani

mi sono fatto anche una macro che legge dal db e riscarica le proprietà. Abbiamo un PDM ma dovevo aggiornare/aggiungere su file vidimati le descrizioni in inglese che a sua volta avevo importato dal gestionale aziendale

ciao
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#7
Sub AddFileProp(File, Name, Value, Optional Scheda = "Custom")

Dim objProps As Object
Dim objProp As Object

Set objProps = CreateObject("SolidEdge.FileProperties")
Call objProps.Open(File)
Set objProp = objProps(Scheda)
Call objProp.Add(Name, Value)
Call objProps.Save

Set objProps = Nothing
Set objProp = Nothing

End Sub

by Gianluca Vespignani

mi sono fatto anche una macro che legge dal db e riscarica le proprietà. Abbiamo un PDM ma dovevo aggiornare/aggiungere su file vidimati le descrizioni in inglese che a sua volta avevo importato dal gestionale aziendale

ciao
 

vespa_83

Utente Standard
Professione: disegnatore
Software: Solid Edge
Regione: Romagna
#9
è un sub routine che puoi richiamare per Aggiungere/Sovrascrivere una FilePropriety su qualsiasi tipo di file di SolidEdge:

Call AddFileProp("c:\prova.par", "MiaProprietà", "Mio Valore")

il codice mi sembra abbastanza semplice